Subject: Re: bug#63444: folding mode for Texinfo doesn't work reliably

From: Arash Esbati <[email-masked]>
Date: Sun, 06 Aug 2023 18:19:50 +0200

Werner LEMBERG <[email-masked]> writes:

>>> (defun wl/Texinfo-fold-env-macro (&rest _ignore)
>>>   (save-excursion
>>>     (if (looking-at-p "@macro")
>>>         (forward-sexp)
>>>       (Texinfo-find-env-start)
>>>       (forward-char)
>>>       (skip-chars-forward "a-zA-Z"))
>>>     (skip-chars-forward "^a-zA-Z")
>>>     (concat "macro " (thing-at-point 'symbol t))))
>>>
>>> (setq Texinfo-fold-env-spec-list
>>>       '((wl/Texinfo-fold-env-macro ("macro"))))
>> 
>> Ping!
>
> Sorry for not answering earlier, I was procrastinating due to many
> other tasks.
>
> Thanks, your solution works, sort-of: It properly hides Texinfo macros
> (see images 1 and 2); however, if I click on a hidden macro, then
> clicking somewhere else, I get a warning message
>
> ```
> [Error: No content or function found]
> ```

Thanks for your response and now sorry from my side for being late.  I
can reproduce what you describe.  Unfortunately, I don't understand the
code in tex-fold.el enough to come up with a better solution.  So I'd
say this is not an AUCTeX bug, but me not being able to come up with a
working solution.  Maybe Ralf or others have an idea.

Sorry.  Best, Arash